### associated_immediate_executor< reference_wrapper< T >, Executor >

Specialisation of `associated_immediate_executor` for `std::reference_wrapper`.

    template<
        typename T,
        typename Executor>
    struct associated_immediate_executor< reference_wrapper< T >, Executor >

##### Types

Name | Description
--- | ---
type | Forwards type to the associator specialisation for the unwrapped type T.

##### Member Functions

Name | Description
--- | ---
get [static] | Forwards the request to get the executor to the associator specialisation for the unwrapped type T.

##### Requirements

Header: `asio/associated_immediate_executor.hpp`

Convenience header: `asio.hpp`